The wai-devel package

[maintain]
Warnings:

A development server for WAI applications.


[Skip to ReadMe]

Properties

Versions0.0.0.1, 0.0.0.2, 0.0.0.3, 0.0.0.4, 0.0.0.4
Dependenciesarray (==0.5.*), base (>=4.7 && <5.0), blaze-html (==0.8.*), bytestring (==0.10.*), Cabal-ide-backend (==1.23.*), directory (==1.2.*), file-embed (==0.0.*), filepath (>=1.3 && <1.5), fsnotify (>=0.1 && <0.3), ghc (>=7.8 && <7.12), Glob (==0.7.*), http-client (==0.4.*), http-conduit (==2.1.*), http-reverse-proxy (==0.4.*), http-types (>=0.8 && <0.10), ide-backend (==0.10.*), MissingH (==1.3.*), network (==2.6.*), optparse-applicative (>=0.11 && <0.13), process (==1.2.*), shakespeare (==2.0.*), split (>=0.1 && <0.3), stm (==2.4.*), streaming-commons (==0.1.*), system-filepath (==0.4.*), text (==1.2.*), time (>=1.4 && <1.6), transformers (>=0.3 && <0.5), wai (>=3.0 && <4.0), wai-devel, warp (>=3.0 && <4.0), websockets (>=0.9 && <1.1) [details]
LicenseMIT
AuthorNjagi Mwaniki
Maintainernjagi@urbanslug.com
CategoryWeb
Home pagehttps://github.com/urbanslug/wai-devel
Executableswai-devel
UploadedMon Mar 21 06:10:49 UTC 2016 by urbanslug

Modules

[Index]

Downloads

Maintainers' corner

For package maintainers and hackage trustees

Readme for wai-devel-0.0.0.4

wai-devel

Join the chat at <a href="https://gitter.im/urbanslug/wai-devel">https://gitter.im/urbanslug/wai-devel</a> Build Status

Development server for WAI compliant haskell web applications.

Installation

From hackage

From source

The wai-devel binary will now be in your ~/.local/bin you can use it freely.

Usage

See the wiki.

Contributing

No contributing page yet. Just read the haddocks.
See the wai-devel minimal reproduction in the wiki.

Issues

Doesn't recompile on changes in Template Haskell files. Here is the specific issue.

Coming next